Subject: bug#27229: eldoc wrong highlighting for "when"

From: Andreas Politz <[email-masked]>
Date: Sun, 04 Jun 2017 17:58:16 +0200

In Emacs 24.5 this highlighting was done in the function
eldoc-highlight-function-argument, which since then has been moved to
elisp--highlight-function-argument and was also heavily extended.

>From reading the new code, it seems to interpret doc-strings of the kind
"(FN ARG0 ARG1...)", as being a macro with alternating forms, e.g. like
setq.  While previously, I think, they were constantly treated as a "(FN
ARG BODY..)" type.

-ap